org.hibernate.validator.internal.engine.resolver

## Class CachingTraversableResolverForSingleValidation

- java.lang.Object
- - org.hibernate.validator.internal.engine.resolver.CachingTraversableResolverForSingleValidation

- All Implemented Interfaces:
    TraversableResolver

      public class CachingTraversableResolverForSingleValidation
      extends Object
      implements TraversableResolver

  Cache results of a delegated traversable resolver to optimize calls. It works only for a single validate* call and should not be used if `TraversableResolver` is accessed concurrently.
  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingTraversableResolverForSingleValidation(TraversableResolver delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCascadable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`
    `boolean` | `isReachable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachingTraversableResolverForSingleValidation

          public CachingTraversableResolverForSingleValidation(TraversableResolver delegate)

  - ### Method Detail

    - #### isReachable

          public boolean isReachable(Object traversableObject,
                            Path.Node traversableProperty,
                            Class<?> rootBeanType,
                            Path pathToTraversableObject,
                            ElementType elementType)

      Specified by:
        `isReachable` in interface `TraversableResolver`

    - #### isCascadable

          public boolean isCascadable(Object traversableObject,
                             Path.Node traversableProperty,
                             Class<?> rootBeanType,
                             Path pathToTraversableObject,
                             ElementType elementType)

      Specified by:
        `isCascadable` in interface `TraversableResolver`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved